summaryrefslogtreecommitdiff
path: root/dev-python/statsmodels/statsmodels-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/statsmodels/statsmodels-9999.ebuild')
-rw-r--r--dev-python/statsmodels/statsmodels-9999.ebuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/statsmodels/statsmodels-9999.ebuild b/dev-python/statsmodels/statsmodels-9999.ebuild
new file mode 100644
index 000000000000..a5784025a635
--- /dev/null
+++ b/dev-python/statsmodels/statsmodels-9999.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 eutils git-r3 virtualx
+
+DESCRIPTION="Statistical computations and models for use with SciPy"
+HOMEPAGE="https://www.statsmodels.org/stable/index.html"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/statsmodels/statsmodels.git"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/patsy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+RDEPEND="${CDEPEND}
+ examples? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
+"
+DEPEND="${CDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "/sphinx.ext.intersphinx/d" -i docs/source/conf.py || die
+ export VARTEXFONTS="${T}"/fonts
+ export MPLCONFIGDIR="${T}"
+ export HOME="${T}"
+ echo "backend : Agg" > "${MPLCONFIGDIR}"/matplotlibrc || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx -b html --build-dir=docs/build
+ HTML_DOCS=( docs/build/html/. )
+ fi
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ ${EPYTHON} -c 'import statsmodels; statsmodels.test(exit=True)' || die
+}
+
+python_install_all() {
+ find "${S}" -name \*LICENSE.txt -delete
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Plotting functionality" "dev-python/matplotlib"
+}